require 'spec_helper'

describe Aemet do
  it 'should have a version number' do
    Aemet::VERSION.should_not be_nil
  end

  describe "#search" do
    let(:search) { Aemet.search("Berga") }

    it "returns the weather for a city" do
      search.should be_instance_of Aemet::Crawler
      search.aemet_id.should == "08022"
    end
  end

  describe "#city" do
    let(:city) { Aemet.city("08022") }

    it "returns the correct city" do
      city.should be_instance_of Aemet::City
      city.aemet_id.should == "08022"
    end
  end

  describe "#weather" do
    let(:weather) { Aemet.weather("08022") }

    it "returns the weather for a city" do
      weather.should be_kind_of Hashie::Mash
      weather.prediccion.dia.should be_instance_of Array
    end
  end
end
